org.apache.lucene.analysis.miscellaneous

## Class ConcatenateGraphFilter.BytesRefBuilderTermAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.miscellaneous.ConcatenateGraphFilter.BytesRefBuilderTermAttributeImpl

- All Implemented Interfaces:
    Cloneable, ConcatenateGraphFilter.BytesRefBuilderTermAttribute, TermToBytesRefAttribute, Attribute
  Enclosing class:
    ConcatenateGraphFilter

      public static final class ConcatenateGraphFilter.BytesRefBuilderTermAttributeImpl
      extends AttributeImpl
      implements ConcatenateGraphFilter.BytesRefBuilderTermAttribute, TermToBytesRefAttribute

  Implementation of `ConcatenateGraphFilter.BytesRefBuilderTermAttribute`
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BytesRefBuilderTermAttributeImpl()` Sole constructor no-op

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BytesRefBuilder` | `builder()` Returns the builder from which the term is derived.
    `void` | `clear()`
    `AttributeImpl` | `clone()`
    `void` | `copyTo(AttributeImpl target)`
    `BytesRef` | `getBytesRef()`
    `void` | `reflectWith(AttributeReflector reflector)`
    `CharSequence` | `toUTF16()` Returns the term represented as UTF-16

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `end, reflectAsString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BytesRefBuilderTermAttributeImpl

          public BytesRefBuilderTermAttributeImpl()

      Sole constructor no-op

  - ### Method Detail

    - #### builder

          public BytesRefBuilder builder()

      Description copied from interface: `ConcatenateGraphFilter.BytesRefBuilderTermAttribute`
      Returns the builder from which the term is derived.
      Specified by:
        `builder` in interface `ConcatenateGraphFilter.BytesRefBuilderTermAttribute`

    - #### getBytesRef

          public BytesRef getBytesRef()

      Specified by:
        `getBytesRef` in interface `TermToBytesRefAttribute`

    - #### clear

          public void clear()

      Specified by:
        `clear` in class `AttributeImpl`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### clone

          public AttributeImpl clone()

      Overrides:
        `clone` in class `AttributeImpl`

    - #### reflectWith

          public void reflectWith(AttributeReflector reflector)

      Specified by:
        `reflectWith` in class `AttributeImpl`

    - #### toUTF16

          public CharSequence toUTF16()

      Description copied from interface: `ConcatenateGraphFilter.BytesRefBuilderTermAttribute`
      Returns the term represented as UTF-16
      Specified by:
        `toUTF16` in interface `ConcatenateGraphFilter.BytesRefBuilderTermAttribute`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.